
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore 4.3-alpha1: org.apache.http.impl.io', 'pkg-test.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="pkg-risks.html">Clouds</a></div>
        
                    	<div class="navBar"><a href="../../../../../testsrc-pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.io:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      956
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,150
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      179
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      11.66
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      98
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,577
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.19
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      8.2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      82
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      10
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.18
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      10
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.io:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      956
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,150
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      179
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      11.66
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      98
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,577
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.19
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      8.2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      82
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      10
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.18
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      10
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.io</span>
    	   org.apache.http.impl.io
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.182927</span>
          2.18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">92.0</span>
          92
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9190141</span>
          91.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9190141</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.9% Covered" class="barPositive " style="width: 91.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                 <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TimeoutByteArrayInputStream</span>
    	  <a href="TimeoutByteArrayInputStream.html#TimeoutByteArrayInputStream" title="TimeoutByteArrayInputStream">TimeoutByteArrayInputStream</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.2857144</span>
          3.29
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">32.0</span>
          32
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.54285717</span>
          54.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.54285717</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="45.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="54.3% Covered" class="barPositive " style="width: 54.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestContentLengthOutputStream</span>
    	  <a href="TestContentLengthOutputStream.html#TestContentLengthOutputStream" title="TestContentLengthOutputStream">TestContentLengthOutputStream</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3333333</span>
          2.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8918919</span>
          89.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8918919</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="89.2% Covered" class="barPositive " style="width: 89.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestContentLengthInputStream</span>
    	  <a href="TestContentLengthInputStream.html#TestContentLengthInputStream" title="TestContentLengthInputStream">TestContentLengthInputStream</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1666667</span>
          2.17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.90140843</span>
          90.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.90140843</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="9.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90.1% Covered" class="barPositive " style="width: 90.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestIdentityOutputStream</span>
    	  <a href="TestIdentityOutputStream.html#TestIdentityOutputStream" title="TestIdentityOutputStream">TestIdentityOutputStream</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1666667</span>
          2.17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9032258</span>
          90.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9032258</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="9.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90.3% Covered" class="barPositive " style="width: 90.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestChunkCoding</span>
    	  <a href="TestChunkCoding.html#TestChunkCoding" title="TestChunkCoding">TestChunkCoding</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">21.0</span>
          21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.142857</span>
          2.14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">25.0</span>
          25
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9116608</span>
          91.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9116608</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.2% Covered" class="barPositive " style="width: 91.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestMessageParser</span>
    	  <a href="TestMessageParser.html#TestMessageParser" title="TestMessageParser">TestMessageParser</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.75</span>
          1.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9268293</span>
          92.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9268293</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.7% Covered" class="barPositive " style="width: 92.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestRequestParser</span>
    	  <a href="TestRequestParser.html#TestRequestParser" title="TestRequestParser">TestRequestParser</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.75</span>
          1.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.95238096</span>
          95.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.95238096</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.2% Covered" class="barPositive " style="width: 95.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestResponseParser</span>
    	  <a href="TestResponseParser.html#TestResponseParser" title="TestResponseParser">TestResponseParser</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.75</span>
          1.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.95238096</span>
          95.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.95238096</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.2% Covered" class="barPositive " style="width: 95.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestIdentityInputStream</span>
    	  <a href="TestIdentityInputStream.html#TestIdentityInputStream" title="TestIdentityInputStream">TestIdentityInputStream</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.25</span>
          1.25
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.972973</span>
          97.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.972973</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97.3% Covered" class="barPositive " style="width: 97.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestSessionInOutBuffers</span>
    	  <a href="TestSessionInOutBuffers.html#TestSessionInOutBuffers" title="TestSessionInOutBuffers">TestSessionInOutBuffers</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.368421</span>
          2.37
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.98292685</span>
          98.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.98292685</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="1.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98.3% Covered" class="barPositive " style="width: 98.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>